mallinfo Struct Reference

## Data Fields

MALLINFO_FIELD_TYPE | arena
MALLINFO_FIELD_TYPE | ordblks
MALLINFO_FIELD_TYPE | smblks
MALLINFO_FIELD_TYPE | hblks
MALLINFO_FIELD_TYPE | hblkhd
MALLINFO_FIELD_TYPE | usmblks
MALLINFO_FIELD_TYPE | fsmblks
MALLINFO_FIELD_TYPE | uordblks
MALLINFO_FIELD_TYPE | fordblks
MALLINFO_FIELD_TYPE | keepcost

## Detailed Description

Definition at line 688 of file SDL_malloc.c.

## Field Documentation

MALLINFO_FIELD_TYPE mallinfo::arena

Definition at line 690 of file SDL_malloc.c.

Referenced by internal_mallinfo().

MALLINFO_FIELD_TYPE mallinfo::fordblks

Definition at line 698 of file SDL_malloc.c.

Referenced by internal_mallinfo().

MALLINFO_FIELD_TYPE mallinfo::fsmblks

Definition at line 696 of file SDL_malloc.c.

MALLINFO_FIELD_TYPE mallinfo::hblkhd

Definition at line 694 of file SDL_malloc.c.

Referenced by internal_mallinfo().

MALLINFO_FIELD_TYPE mallinfo::hblks

Definition at line 693 of file SDL_malloc.c.

MALLINFO_FIELD_TYPE mallinfo::keepcost

Definition at line 699 of file SDL_malloc.c.

Referenced by internal_mallinfo().

MALLINFO_FIELD_TYPE mallinfo::ordblks

Definition at line 691 of file SDL_malloc.c.

Referenced by internal_mallinfo().

MALLINFO_FIELD_TYPE mallinfo::smblks

Definition at line 692 of file SDL_malloc.c.

MALLINFO_FIELD_TYPE mallinfo::uordblks

Definition at line 697 of file SDL_malloc.c.

Referenced by internal_mallinfo().

MALLINFO_FIELD_TYPE mallinfo::usmblks

Definition at line 695 of file SDL_malloc.c.

Referenced by internal_mallinfo().

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c